<?php

namespace WPSN\Core;

defined('ABSPATH') || exit;

abstract class AbstractModule implements ModuleInterface
{
    protected Container $container;

    protected Settings $settings;

    protected Logger $logger;

    public function __construct(Container $container)
    {
        $this->container = $container;
        $this->settings  = $container->get('settings');
        $this->logger    = $container->get('logger');
    }

    public function boot(): void
    {
        // optional
    }
}
